GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Slots | List of all members
GpgFrontend::UI::KeyGenPage Class Reference
Inheritance diagram for GpgFrontend::UI::KeyGenPage:
Collaboration diagram for GpgFrontend::UI::KeyGenPage:

## Public Member Functions
| KeyGenPage (QWidget *parent=nullptr)
| Construct a new Key Gen Page object. More...
int | nextId () const override

## Private Slots
void | slot_generate_key_dialog ()

## Constructor & Destructor Documentation

## ◆ KeyGenPage()

GpgFrontend::UI::KeyGenPage::KeyGenPage | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new Key Gen Page object.

Parameters

  parent |

## Member Function Documentation

## ◆ nextId()

int GpgFrontend::UI::KeyGenPage::nextId | ( |  | ) | const
| override

Returns
  int

The documentation for this class was generated from the following files:

- src/ui/dialog/Wizard.h
- src/ui/dialog/Wizard.cpp